# "Full-auto ballistic firearm. Offsets a modest range with an extreme fire rate thanks to a unique magnetic bolt carrier."

The FHR-40 Windfall, a variant of the FHR-40 originally developed by Kendall Ballistics, is a submachine gun with a stark yellow finish and a custom-built reflex sight created by Fujiwara, a competitor to Kendall Ballistics. The gun is straight out of *Call of Duty: Infinite Warfare*, unlocked at ranking up to level 50 with the JTF Wolverines.

So here it is, my first mod! I spent a few weeks making this, and I hope you enjoy!
A month later addendum: Thus start the fixes...
Six months later: I have the knowledge to make this mod way better than it was...

Fun Fact: It's possible to dump the mag from the FHR-40 by tapping the mag removal trigger, and simply throwing the gun backwards in your hand!

## Features
- The FHR-40 is found in the PDW section of the item spawner, fires at ~967 RPM, with a unique 48 round mag, and is chambered in 5.7x28mm. The mag is also usable on the P90, and vise versa.
- Picatinny top rail and Suppressor Mount are present
- As much sounds, models and textures I can rip for the gun.
- A reflex sight with a custom reticle that is attached to Picatinny rails
- A HK slap charging handle able to let the gun be fired with one hand from the right side
- Unique 5.7x28mm Healer ammo type, that can be used in any 5.7x28mm magazine, and spawns by default in the FHR-40 Windfall magazine. The 5.7x28mm Healer was textured by Violet/Cold__Oats#3147, I thank her for her contribution!

## Planned
- Health Regen on Kill for the 5.7x28mm Healer
- Working Ammo Counter ELO Reticle for the sight
- Functional non-removable lasers on the side of the barrel

# Changelog

### 2.0.0
- Added 5.7x28mm Healer cartridge, which is in the FHR-40 Magazine by default.
- Fixed trigger to not clip through the gun hilariously
- Fixed the model to not be rotated everywhere allowing it to be 0,0,0 which honestly is amazing - you guys should try it
- Altered the position of the pickup of the magazine - Let me know if this is an improvement or not
- Slightly updated attachment mount points to be way more accurate to the point, resulting in some very *noice* model rendering
- Removed single fire and safety fire modes as the FHR-40 Windfall does not possess them in *Call of Duty: Infinite Warfare*
- Metalness has been turned to 0 - It turns out I misinterpreted the camouflage map from Infinite Warfare as the metal map
- Readded a WORKING waggle - I know, I'm surprised I spent time remaking it!
- Remade reticle configuration, might need more tweaking

### 1.2.1
- Added suppressed firing sound straight from the source game
- Removed waggles as I do not support them anymore and they waste my time
- Updated sprites and mod icon to feature the proper Infinite Warfare logo

### 1.2.0
- The HK Slap has been added! Both charging handles can be locked to the right of the gun. This allows experienced users with the FHR-40 Windfall to effectively fire and reload the weapon sideways, with one hand...
- The right handle is able to be locked much easier than the left - this is an artefact of the limitation of the script, but also allows for cooler reloads!
- Used my knowledge of Blender and Substance Painter to *properly* create a model and textures that don't burn the hard drive more than it needs to
- Half-implemented a laser sight to be functional in a future update - it currently will spit out an error in the console, ignore it.
- The sight reticle actually exists now, and the sight also has a green tint closer to the original source material
- Attempted (and failed) at making waggles, they are currently hilariously broken, cue the laugh track
- Slight rework of colliders and phys to be better than they were - The slight now no-longer floats above the Picatinny rail
- My tears of many unsuccessful bug fix attempts can be felt in your hand when firing the gun

### 1.1.0
- Fixed magazine position when loaded to be straight and not perform a triple dash Uno BS 900 Z flip
- The forever-bullet in the chamber is now an actually chambered bullet
- The bullet formerly known as "Forever" now properly moves when the bolt handle is pulled
- The caliber type has been changed to "Pistol", to fit with the P90
- Fire rate has been fixed from 200 RPM to around 950-980 RPM
- Things that were awkwardly rotated have now been fixed to not be awkwardly rotated
- Foregrip trigger has been brought more in line with the actual gun itself
- Round ejection actually ejects rounds and not pathetically plops them on the floor

### 1.0.0
- Initial release